;________________________________________________________________________
;
;                           O P T I O N S . A S M
;________________________________________________________________________
;
; M918_PIC user options - by Max IK3SVW - January 2006
; Based on original u2k package by Byon Garrabrant, N6BG
;________________________________________________________________________
;
#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_WX_BEACON_RATE	D'1'
#define	OPT_STATUS_RATE		D'2'
#define	OPT_WX_ALERT		D'3'
#define	OPT_SEA_LEVEL		D'4'
#define	OPT_CALLSIGN_DIGI	D'5'
;________________________________________________________________________

Get_Option
	addwf	PCL, F

Option_Start

;	If you wish modify the 5 general settings values below
	dt	D'60'	; Tx-Delay flags (TXD) 100 ms = 30 flags
	dt	D'10'	; Wx beacon every n minutes
	dt	D'25'	; Status beacon every n minutes
	dt	D'0'	; 1=bcn if rain var. 2=bcn if baro var. 3=both 0=none
	dt	D'0'	; Sea level difference in mb (0-255)

;	Please change data below with your callsign, dest and digi(s)
;	The default path below is NOCALL-3>APEWX via WIDE3-3, according
;	to the new widen-n paradigm rules. Please just modify NOCALL.
	dt	"APEWX ", D'0' + H'30'	; Destination APE indicates Pic-E.
	dt	"NOCALL", D'3' + H'30'	; Callsign and ssid
;	dt	"WIDE1 ", D'1' + H'30'	; Digi and ssid
	dt	"WIDE3 ", D'3' + H'30'	; Digi and ssid
	dt	0

;	Please change lat/lon in wx beacon header with your lat/lon position.
Wx_Beacon_Header
	dt	"0000.00N/00000.00E_"	; Wx stn simbols (/ and _) must be included.
	dt 	0

;	If you wish change the status report beacon string below.
Status_String
	dt	"WM-918 Pic-E stand alone Wx Station. Firmware m918_pic v2.5"
	dt 	0

;	Barometer prediction labels. If you wish change with your language.
Baro_Sunny
	dt	"Sereno"
	dt 	0			
Baro_Cloudy
	dt	"Nuvoloso"
	dt 	0			
Baro_Partly
 	dt	"Variabile"
	dt 	0		
Baro_Rain
	dt	"Pioggia"
	dt 	0		
Baro_Snow
	dt	"Neve"
	dt 	0		

;	Uncomment the #define line below to insert local or gmt date/time
;	on beginning of wx beacon.
;#define	WX_BCN_TIMESTAMP	;Default is commented (not defined)

;	Uncomment de #define line below to set local time timestamp
;	instead of GMT timestamp on wx beacon. This applies only
;	if WX_BCN_TIMESTAMP is not commented (defined).
;#define	WX_BCN_ZULU_TIMESTAMP	;Default is commented (not defined)

;	Uncomment the #define line below to insert zulu (gmt) date/time
;	on beginning of status beacon. Only zulu timestamp allowed.
#define	STATUS_BCN_TIMESTAMP		;Default is not commented (defined).

;	Uncomment the #define line below to send always barometric prediction
;	on the status beacon, not depending on MODE switch.
#define	ALWAYS_STATUS_PREDICTION	;Default is not commented (defined)
